{% extends '@PiCRUD/show.html.twig' %}

{% block meta_description %}
    {% apply spaceless %}
        {% if entity.metaDescription is defined and entity.metaDescription is not empty %}
            {{ entity.metaDescription }}
        {% else %}
            Retrouvez toutes les informations sur l'événement {{ entity.title }} qui a lieu le {{ entity.dateBegin|date('d/m/Y') }}.
        {% endif %}
    {% endapply %}
{% endblock %}

{% block content %}
    {% if entity.cancelled %}
        {% set class_primary = 'warning' %}
        {% set class_secondary = 'warning' %}
    {% endif %}
    {{ parent() }}
{% endblock %}

{% block entity_title %}
    {% if entity.dateEnd is not empty and entity.dateEnd > entity.dateBegin and entity.dateBegin|date('d/m') is not same as entity.dateEnd|date('d/m') %}
        {% if entity.dateBegin|date('m') is not same as entity.dateEnd|date('m') %}
            <span class="h1 d-inline-block">
                <span class="badge badge-{{ class_primary }}">{{ entity.dateBegin|date('d') }}</span>
                <span class="badge">{{ entity.dateBegin|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                <span>au</span>
                <span class="badge badge-{{ class_secondary }} text-white">{{ entity.dateEnd|date('d') }}</span>
                <span>{{ entity.dateEnd|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                <span class="text-{{ class_primary }}">{{ entity.dateBegin|date('Y') }}</span>
            </span>
        {% else %}
            <span class="h1 d-inline-block">
                <span class="badge badge-{{ class_primary }}">{{ entity.dateBegin|date('d') }}</span>
                <span>au</span>
                <span class="badge badge-{{ class_secondary }} text-white">{{ entity.dateEnd|date('d') }}</span>
                <span>{{ entity.dateEnd|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                <span class="text-{{ class_primary }}">{{ entity.dateBegin|date('Y') }}</span>
            </span>
        {% endif %}
    {% else %}
        <span class="h1 d-inline-block">
            <span class="badge badge-{{ class_primary }}">{{ entity.dateBegin|date('d') }}</span>
            <span>{{ entity.dateBegin|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
            <span class="text-{{ class_primary }}">{{ entity.dateBegin|date('Y') }}</span>
        </span>
    {% endif %}
    <h1 class="display-4">{{ entity.title }}</h1>
    <div class="lead text-white font-italic d-none d-lg-block">
        Publié le {{ entity.createAt|format_datetime('full', 'medium', locale='fr') }}, modifié le {{ entity.updateAt|format_datetime('full', 'medium', locale='fr') }}
    </div>
    {% if entity.website %}
        <div class="my-4">
            <a target="_BLANK" href="{{ entity.website }}" rel="nofollow" class="btn btn-{{ class_primary }}">Accéder au site de l'évènement</a>
        </div>
    {% endif %}
    {% if entity.cancelled %}
        <div class="h4 w-100 text-warning text-center font-weight-bold py-2 my-2 border-top border-bottom border-warning">
            <i class="fa fa-exclamation-triangle"></i> Cet événement est annulé <i class="fa fa-exclamation-triangle"></i>
        </div>
    {% endif %}

    {% if (entity.dateEnd is not empty and entity.dateEnd < date()) or (entity.dateEnd is empty and entity.dateBegin < date()) %}
        <div class="h4 w-100 text-light text-center font-weight-bold py-2 my-2 border-top border-bottom border-light">
            <i class="fa fa-exclamation-triangle"></i> Cet événement est passé <i class="fa fa-exclamation-triangle"></i>
        </div>
    {% endif %}

{% endblock %}

{% block extra_content %}
    {% if entity.live %}
        <div class="container-fluid">
            <div class="row">
                <div class="col-12 col-lg-10 offset-lg-1 my-4">
                    <h2 class="text-balise">Suivi des résultats en direct</h2>
                    <p class="text-justify lead">
                        Les résultats de cet événement sont (ou seront) disponible en direct depuis le Live Center du Quimper Orientation. Enregistrez le lien suivant dans vos favoris pour suivre les résultats
                        <a class="text-secondary" href="{{ path('app_live_list') }}">{{ url('app_live_list') }}</a>
                    </p>
                </div>
            </div>
        </div>
    {% endif %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-12 col-lg-5 offset-lg-1 my-4">
                <div class="mb-4">
                    <h2 class="text-balise">Informations générales</h2>
                    <table>
                        <tr>
                            <td class="font-weight-bold align-text-top pr-4">Date</td>
                            <td class="lead">
                                {{ entity.dateBegin|format_datetime('full', 'medium', locale='fr')|capitalize }}
                            </td>
                        </tr>
                        {% if entity.dateEnd is not empty and entity.dateEnd > entity.dateBegin %}
                            <tr>
                                <td class="font-weight-bold align-text-top pr-4">Fermeture de la course</td>
                                <td class="lead">
                                    {{ entity.dateEnd|format_datetime('full', 'medium', locale='fr') }}
                                </td>
                            </tr>
                        {% endif %}
                        {% if entity.format is not empty %}
                            <tr>
                                <td class="font-weight-bold align-text-top pr-4">Type</td>
                                <td class="lead">{{ entity.format.label }}</td>
                            </tr>
                        {% endif %}
                        {% if entity.organizer %}
                            <tr>
                                <td class="font-weight-bold align-text-top pr-4">Organisateur</td>
                                <td class="lead">{{ entity.organizer }}</td>
                            </tr>
                        {% endif %}
                        {% if entity.website %}
                            <tr>
                                <td class="font-weight-bold align-text-top pr-4">Site Web</td>
                                <td><a target="_BLANK" href="{{ entity.website }}" rel="nofollow">Aller sur le site web</a></td>
                            </tr>
                        {% endif %}
                    </table>
                </div>
                {% if entity.locationTitle or entity.locationInformation or (entity.latitude and entity.longitude) %}
                    <div class="mb-4">
                        <h2 class="text-balise">Emplacement</h2>
                        <div class="font-weight-bold">{{ entity.locationTitle|capitalize }}</div>
                        <span class="text-justify">{{ entity.locationInformation | raw }}</span>
                        <div>
                            <a class="d-xl-none d-lg-none d-md-none" href="https://maps.google.com/?q={{ entity.latitude }},{{ entity.longitude }}" target="_blank" rel="nofollow">Ouvrir dans l'application de navigation</a>
                            <a class="d-none d-md-block" target="_blank" href="https://www.google.com/maps/search/?api=1&query={{ entity.latitude }}%2C{{ entity.longitude }}" rel="nofollow">Ouvrir dans Google Maps</a>
                        </div>
                        {% if entity.latitude is not empty and entity.longitude is not empty %}
                            <div class="mt-2">
                                <div id="map" type="default" data-lat="{{ entity.latitude }}" data-lon="{{ entity.longitude }}"></div>
                            </div>
                        {% endif %}
                    </div>
                {% endif %}

                {% if entity.files|length > 0 %}
                    <div class="mb-4">
                        <h2 class="text-balise">Fichiers joints</h2>
                        {% for file in entity.files %}
                        <div class="card mb-4 card-file">
                            <div class="card-body">
                                <a title="{{ entity.title }} - Fichier {{ file }}" class="text-dark stretched-link btn-download-event-file" href="{{ asset('files/' ~ file.fileName) }}">{{ file }}</a>
                                <span class="d-none d-lg-block float-right"><u>Télécharger</u></span>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                {% endif %}
            </div>

            <div class="col-12 col-lg-5 my-4">
                {% if entity.circuits|length > 0 %}
                    <div class="mb-4">
                        <h2 class="text-balise">Circuits</h2>
                        <table id="event-circuits" class="table table-striped">
                            <thead class="bg-{{ class_primary }} text-white">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Libellé</th>
                                    <th scope="col">Distance</th>
                                    <th scope="col">Dénivelé</th>
                                    <th class="text-nowrap" scope="col">Nb inscrits</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for circuit in entity.circuits %}
                                    <tr>
                                        <td>{{ loop.index }}</td>
                                        <td class="text-nowrap">{{ circuit.label }}</td>
                                        <td>{{ circuit.distance }}</td>
                                        <td>{{ circuit.elevation }}</td>
                                        <td class="text-center">{{ circuit.peoples|length }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                {% endif %}


                <div class="mb-4">
                    <h2 class="text-balise">Inscriptions</h2>
                    {% if not entity.allowEntries %}
                        Les inscriptions sont désactivées pour cet évènement.
                    {% else %}
                        <table>
                            <tr>
                                <td class="font-weight-bold align-text-top pr-4">Date limite d'inscription</td>
                                <td class="lead">{{ entity.dateEntries|format_datetime('full', 'medium', locale='fr')|capitalize }}</td>
                            </tr>
                            <tr>
                                <td class="font-weight-bold align-text-top pr-4">Nombre total d'inscrits</td>
                                <td class="lead">
                                    {% if entity.numberPeopleByEntries is same as(1) %}
                                        {{ entity.peoples|length }} inscrits
                                    {% else %}
                                        {{ entity.teams|length }} équipes
                                    {% endif %}
                                </td>
                            </tr>
                        </table>
                        <div class="my-2">
                            {% if is_granted('register', entity) %}
                                <div class="btn-group">
                                    <button type="button" class="btn btn-{{ class_primary }} dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        S'inscrire
                                    </button>
                                    <div class="dropdown-menu bg-white">
                                        {% if is_granted('ROLE_USER') and entity.numberPeopleByEntries is same as(1) %}
                                            <a class="dropdown-item" href="{{ path('app_event_entry', {'id': entity.id, 'mode': 'quick'}) }}" rel="nofollow">Inscription rapide</a>
                                        {% endif %}
                                        {% if entity.numberPeopleByEntries is same as(1) %}
                                            <a class="dropdown-item" href="{{ path('app_event_entry', {'id': entity.id, 'mode': 'club'}) }}" rel="nofollow">Inscription licencié</a>
                                            <a class="dropdown-item" href="{{ path('pi_crud_add', {'type': 'people', 'event': entity.id}) }}" rel="nofollow">Inscription non licencié</a>
                                        {% else %}
                                            <a class="dropdown-item" href="{{ path('pi_crud_add', {'type': 'team', 'event': entity.id}) }}" rel="nofollow">Inscription d'une équipe</a>
                                        {% endif %}
                                    </div>
                                </div>
                                <a href="#" data-toggle="modal" data-target="#entry-help" class="text-info text-decoration-none ml-2 mr-4">
                                    <i class="fa fa-question" aria-hidden="true"></i>
                                </a>
                                <div class="modal fade" id="entry-help" tabindex="-1" role="dialog" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <span class="h3">Aide à l'inscription</span>
                                            </div>
                                            <div class="modal-body">
                                                <p>
                                                    Il existe plusieurs modes d'inscription, disponibles selon le type de course et votre profil utilisateur.
                                                </p>
                                                <span class="h5">Inscription rapide</span>
                                                <p>
                                                    Permet de vous inscrire à la course en utilisant les informations de votre compte :
                                                </p>
                                                <ul class="list-unstyled">
                                                    <li>- Avec votre numéro de licence FFCO (pour les licenciés)</li>
                                                    <li>- Avec votre nom et prénom (pour les non licenciés)</li>
                                                </ul>
                                                <span class="h5">Inscription par club</span>
                                                <p>
                                                    Permet de visualiser l'ensemble des licenciés d'un club et de choisir qui inscrire
                                                </p>
                                                <span class="h5">Inscription non licencié</span>
                                                <p>
                                                    Permet de vous inscrire à la course en renseignant votre nom et prénom
                                                </p>
                                                <span class="h5">Inscription d'une équipe</span>
                                                <p>
                                                    Permet de vous inscrire votre équipe à la course en renseignant les différents équipiers, grâce à leurs numéro de licence ou directement en saisissant leurs noms et prénoms.
                                                </p>
                                            </div>
                                            <div class="modal-footer">
                                                <button class="btn btn-{{ class_primary }}" data-dismiss="modal">Fermer</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {% else %}
                                <p>
                                    Les inscriptions à cet évènement sont terminées. Veuillez contacter l'organisateur de la course pour modifier ou supprimer votre inscription.
                                </p>
                            {% endif %}

                            <div class="btn-group">
                                <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    Export
                                </button>
                                <div class="dropdown-menu bg-white border-info">
                                    {% if entity.numberPeopleByEntries is same as(1) %}
                                        <a rel="nofollow" class="dropdown-item" href="{{ path('app_event_export', {'id': entity.id, 'mode': 'oe2003'}) }}">Export au format CSV pour OE2003</a>
                                        <a rel="nofollow" class="dropdown-item" href="{{ path('app_event_export', {'id': entity.id, 'mode': 'oe2010'}) }}">Export au format CSV pour OE2010</a>
                                        <a rel="nofollow" class="dropdown-item" href="{{ path('app_event_export', {'id': entity.id, 'mode': 'pdf-club'}) }}">Export au format PDF par club</a>
                                        {% if is_granted('ROLE_ADMIN') %}
                                            <a rel="nofollow" class="dropdown-item" href="{{ path('app_event_export', {'id': entity.id, 'mode': 'csv'}) }}">Export au format CSV</a>
                                        {% endif %}
                                    {% else %}
                                        <a rel="nofollow" class="dropdown-item" href="{{ path('app_event_export', {'id': entity.id, 'mode': 'geraid'}) }}">Export au format CSV pour GeRaid</a>
                                    {% endif %}
                                    {% if entity.circuits|length > 0 %}<a rel="nofollow" class="dropdown-item" href="{{ path('app_event_export', {'id': entity.id, 'mode': 'pdf-circuit'}) }}">Export au format PDF par circuit</a>{% endif %}
                                </div>
                            </div>
                        </div>
                        {% if entity.teams|length > 0 or entity.peoples|length > 0 %}
                            <table id="event-entries" class="table table-striped">
                                <thead class="bg-{{ class_primary }} text-white">
                                    <tr>
                                        <th scope="col">#</th>
                                        {% if entity.teams|length > 0 %}<th scope="col">Nom d'équipe</th>{% endif %}
                                        <th scope="col">Prénom</th>
                                        <th scope="col">Nom</th>
                                        {% if entity.circuits|length > 0 %}<th scope="col">Circuit</th>{% endif %}
                                        <th scope="col">Commentaire</th>
                                        <th scope="col">Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% if entity.numberPeopleByEntries is same as(1) %}
                                        {% for people in entity.peoples %}
                                            <tr>
                                                <td>{{ loop.index }}</td>
                                                <td>{{ people.firstName }}</td>
                                                <td>{{ people.lastName }}</td>
                                                {% if entity.circuits|length > 0 %}<td>{{ people.circuit }}</td>{% endif %}
                                                <td>{{ people.comment }}</td>
                                                <td class="d-flex">
                                                    {% include '@PiCRUD/includes/admin_actions.html.twig' with {'type': 'people', 'entity': people, 'label_attr': 'd-none'} %}
                                                </td>
                                            </tr>
                                        {% endfor %}
                                    {% else %}
                                        {% for team in entity.teams %}
                                            <tr>
                                                <td>{{ loop.index }}</td>
                                                <td>{{ team.label }}</td>
                                                <td>
                                                    {% for people in team.peoples %}
                                                        {{ people.firstName }}<br/>
                                                    {% endfor %}
                                                </td>
                                                <td>
                                                    {% for people in team.peoples %}
                                                        {{ people.lastName }}<br/>
                                                    {% endfor %}
                                                </td>
                                                {% if entity.circuits|length > 0 %}<td></td>{% endif %}
                                                <td>
                                                    {% for people in team.peoples %}
                                                        {{ people.comment }}<br/>
                                                    {% endfor %}
                                                </td>
                                                <td class="d-flex">
                                                    {% include '@PiCRUD/includes/admin_actions.html.twig' with {'type': 'team', 'entity': team, 'label_attr': 'd-none'} %}
                                                </td>
                                            </tr>
                                        {% endfor %}
                                    {% endif %}
                                </tbody>
                            </table>
                        {% else %}
                            <div>
                                Aucun inscrit à cet événement
                            </div>
                        {% endif %}
                    {% endif %}
                </div>
            </div>
        </div>
    </div>

    {% if entity.events is defined and entity.events is not empty %}
        <div class="container-fluid">
            <div class="row">
                <div class="col-12 col-lg-10 offset-lg-1 my-4">
                    <h2 class="text-balise">Voir aussi</h2>
                    <div class="row d-block d-md-flex overflow-auto text-nowrap">
                        {% for event in entity.events %}
                            {{ render(path('pi_crud_item', {
                                'id': event.id,
                                'type': 'event',
                                'format': 'default',
                                'attr': {'class': 'col-10 col-md-6 col-lg-4 d-inline-block d-md-block text-wrap'}
                            })) }}
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    {% endif %}
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('map') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('map') }}
{% endblock %}
